gstreamermm: Gst::TheoraParse Class Reference

gstreamermm 0.10.10.1

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gst::TheoraParse Class Reference
gstreamermm Plugins

A Wrapper for the theoraparse plugin. More...

Inheritance diagram for Gst::TheoraParse:
[legend]
Collaboration diagram for Gst::TheoraParse:
[legend]

List of all members.

## Public Member Functions
virtual | ~TheoraParse ()
GstTheoraParse* | gobj ()
| Provides access to the underlying C GObject.
const GstTheoraParse* | gobj () const
| Provides access to the underlying C GObject.
GstTheoraParse* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Glib::ValueArray > | property_synchronization_points ()
| An array of (granuletime, buffertime) pairs.
Glib::PropertyProxy_ReadOnly < Glib::ValueArray > | property_synchronization_points () const
| An array of (granuletime, buffertime) pairs.
## Static Public Member Functions
static Glib::RefPtr< TheoraParse > | create ()
| Creates a new theoraparse plugin with a unique name.
static Glib::RefPtr< TheoraParse > | create (const Glib::ustring& name)
| Creates a new theoraparse plugin with the given name.
## Protected Member Functions
| TheoraParse ()
| TheoraParse (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::TheoraParse > | wrap (GstTheoraParse* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the theoraparse plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::TheoraParse::~TheoraParse | ( |  | ) | `[virtual]`

Gst::TheoraParse::TheoraParse | ( |  | ) | `[protected]`

Gst::TheoraParse::TheoraParse | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<TheoraParse> Gst::TheoraParse::create | ( |  | ) | `[static]`

Creates a new theoraparse plugin with a unique name.

static Glib::RefPtr<TheoraParse> Gst::TheoraParse::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new theoraparse plugin with the given name.

const GstTheoraParse* Gst::TheoraParse::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

GstTheoraParse* Gst::TheoraParse::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

GstTheoraParse* Gst::TheoraParse::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::Element.

Glib::PropertyProxy_ReadOnly< Glib::ValueArray > Gst::TheoraParse::property_synchronization_points | ( |  | ) | const

An array of (granuletime, buffertime) pairs.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ValueArray > Gst::TheoraParse::property_synchronization_points | ( |  | ) |

An array of (granuletime, buffertime) pairs.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::TheoraParse > wrap | ( | GstTheoraParse * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/theoraparse.h